VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "VBRhino"
   ClientHeight    =   2208
   ClientLeft      =   60
   ClientTop       =   456
   ClientWidth     =   2556
   Icon            =   "TestVBApp.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2208
   ScaleWidth      =   2556
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton vbHide 
      Caption         =   "Hide Rhino"
      Height          =   495
      Left            =   240
      TabIndex        =   2
      Top             =   1440
      Width           =   2055
   End
   Begin VB.CommandButton cmdShow 
      Caption         =   "Show Rhino"
      Default         =   -1  'True
      Height          =   495
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Width           =   2055
   End
   Begin VB.CommandButton cmdDraw 
      Caption         =   "Draw Lines"
      Height          =   495
      Left            =   240
      TabIndex        =   1
      Top             =   840
      Width           =   2055
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim Rhino As Object
Dim RhinoScript As Object

Private Sub Form_Load()
  Dim nCount As Integer
  nCount = 0
  
  ' Connect to Rhino3
  Set Rhino = CreateObject("Rhino3.Application")
  
  ' The RhinoScript object resides in a plug-in.
  ' As is often the case, by the time your application
  ' has created the Rhino3.Application object and is ready
  ' to ask that object for RhinoScript, Rhino has not had
  ' sufficent time to load the RhinoScript plug-in.
  ' Thus, you get a runtime error. So, we'll try a few times
  ' to make sure we get it.
  Do While (nCount < 5)
    On Error Resume Next
    Set RhinoScript = Rhino.GetScriptObject()
    If Err.Number <> 0 Then
      Err.Clear
      Sleep 1000
      nCount = nCount + 1
    Else
      Exit Do
    End If
  Loop
  
End Sub

Private Sub cmdShow_Click()
  ' Show Rhino
  Rhino.Visible = True
End Sub

Private Sub cmdDraw_Click()
  ' Draw some stuff
  RhinoScript.AddLine Array(0, 0, 0), Array(10, 0, 0)
  RhinoScript.AddLine Array(10, 0, 0), Array(10, 10, 0)
  RhinoScript.AddLine Array(10, 10, 0), Array(0, 10, 0)
  RhinoScript.AddLine Array(0, 10, 0), Array(0, 0, 0)
  RhinoScript.AddLine Array(0, 0, 0), Array(10, 10, 0)
  RhinoScript.AddLine Array(0, 10, 0), Array(10, 0, 0)
End Sub

Private Sub vbHide_Click()
  ' Hide Rhino
  Rhino.Visible = False
End Sub

Private Sub Form_Unload(Cancel As Integer)
  ' Do this so Rhino will not prompt us to save changes
  RhinoScript.DocumentModified False
  ' Release RhinoScript
  Set RhinoScript = Nothing
  ' Release Rhino
  Set Rhino = Nothing
End Sub
